using System.Collections.Generic;
using System.Web.Mvc;
using MvcGallery3.Extensions.Filters.Axpect;

namespace MvcGallery3.Extensions.Filters
{
    public class DynamicLoadingFilterProvider : IFilterProvider
    {
        public IEnumerable<Filter> GetFilters(ControllerContext controllerContext, ActionDescriptor actionDescriptor)
        {
            return AxpectFramework.LoadFromConfigurationAsFilter(actionDescriptor);
        }
    }
}