using System.Web.Mvc;

namespace MvcGallery3.Extensions.Filters
{
    public class FillUpViewModelAttribute : ActionFilterAttribute
    {
        public override void OnActionExecuted(ActionExecutedContext filterContext)
        {
            // Segregating the interface works as in this context you're only interested in 
            // the global segment of the view model
            //var model = filterContext.Controller.ViewData.Model as CustomerListModelBase;
            //if (model == null)
            //    return;

            // At this point, "model" contains only view-specific data. Complete the view model
            // with shared data.
            //model.Countries = null; // 
        }
    }
}