﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
<%@ Import Namespace="MvcGallery.Extensions.HtmlHelpers"%>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Search
<!-- 
    The buttons named "initial" serve the purpose of auto-defining a 
    route value "initial" that becomes input for the List method on 
    the controller class.
-->	
</asp:Content>



<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div style="text-align:right">
        <span class="highlight1">
            <!-- Current area -->        
            <%= ViewContext.RouteData.DataTokens["area"] %>
        </span>
    </div>
    
    <fieldset>
        <legend>Search for customers</legend> 
        <div class="insideFieldset">
            <%
                Html.BeginForm("List", "Customer", new {area="store"}); %>
                <%for (int i = 'A'; i < 'Z'; i++)
                  { %>
                    <%= Html.Submit(
                            "initial",
                            ((Char)i).ToString(),
                            new { style = "width:28px;" }) %>
                <%} %>
                
                <hr />
                
                <%= Html.Label("Match") %>
                <%= Html.TextBox("initial")%>
                <%= Html.Submit("btnSubmit", "Search")%>
            <% Html.EndForm(); %>
        </div>
    </fieldset>

</asp:Content>
