﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<Northwind.Model.Product>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Details
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div style="text-align:right">
        <span class="highlight1">
            <!-- Current area -->
            <%= ViewContext.RouteData.DataTokens["area"] %>
        </span>
    </div>

    <fieldset>
        <legend>Product Details</legend>
        <div class="insideFieldset">
            <table cellpadding="4" cellspacing="0" frame="below">
                <tr>
                    <td class="labelTableItem" width="150px">ID</td>
                    <td class="valueTableItem" width="300px"><%= ViewData.Model.ProductID %></td>
                </tr>             
                <tr>
                    <td class="labelTableItem" width="150px">Product</td>
                    <td class="valueTableItem" width="300px"><%= ViewData.Model.ProductName %></td>
                </tr>   
                <tr>                 
                    <td class="labelTableItem" width="150px">Quantity per unit</td>
                    <td class="valueTableItem" width="300px"><%= ViewData.Model.QuantityPerUnit %></td>
                </tr>
                <tr>
                    <td class="labelTableItem" width="150px">Current stock</td>
                    <td class="valueTableItem" width="300px"><%= ViewData.Model.UnitsInStock %></td>                    
                </tr>
                <tr>
                    <td class="labelTableItem" width="150px">Price per unit</td>
                    <td class="valueTableItem" width="300px"><%= ViewData.Model.UnitPrice %></td>                    
                </tr>
            </table>
        </div>
    </fieldset>

</asp:Content>

