﻿using System.Web.Mvc;
using eTennisConf.WorkerServices;

namespace eTennisConf.Controllers
{
    public class HomeController : Controller
    {
        private readonly IScheduleServices _service;

        public HomeController() : this(new ScheduleServices())
        {
        }
        public HomeController(IScheduleServices service)
        {
            _service = service;
        }

        public ActionResult Index()
        {
            var model = _service.GetContentForMainMenu();
            return View(model);
        }
    }
}
