﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
<%@ Import Namespace="MvcGallery.Extensions.HtmlHelpers"%>
<%@ Import Namespace="MultiArea.Views"%>
<%@ Import Namespace="Northwind.Model" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	Customer Statistics
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div style="text-align:right">
        <span class="highlight1">
            <!-- Current area -->
            <%= ViewContext.RouteData.DataTokens["area"] %>
        </span>
    </div>
    
    <% Html.BeginForm("Stat", "Customer", new {area = "reports"}); %>
        <%= Html.DropDownList("selectedCustomer", 
                new SelectList(
                    (IEnumerable)ViewData[ViewDataEntries.Customers], 
                    "CustomerID", 
                    "CompanyName")) %>
        <input type="submit" value="Look up" id="btnStat" />
        <%--<%= Html.Submit("btnStat", "Look up") %>                    --%>
    <% Html.EndForm(); %>
    
    <p>The table below reports the quantity of each product a given customer ordered.</p>
    
    <table cellpadding="2" cellspacing="0" frame="hsides">
        <thead>
            <tr>
                <th><b>Product</b></th>
                <th><b>Quantity</b></th>
            </tr>
        </thead>
    <%foreach (GetCustomerOrderHistory_Result item in (IEnumerable)ViewData[ViewDataEntries.Results])
      { %>
        <tr>
            <td><%= item.ProductName %></td>
            <td align="right" style="color:Blue;"><%= item.Total %></td>
        </tr>
    <%} %>
    </table>
    
</asp:Content>
