﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<CustomerListViewModel>" %>
<%@ Import Namespace="MultiArea.Areas.Store.Models"%>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	List
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <div style="text-align:right">
        <span class="highlight1">
            <!-- Current area -->        
            <%= ViewContext.RouteData.DataTokens["area"] %>
        </span>
    </div>
    
    <fieldset>
        <legend>Selected customers: <span class="placeholderText"><%= ViewData.Model.Match %></span></legend> 
        <div class="insideFieldset">
            <ul>
            <%foreach (var c in ViewData.Model.Customers)
              { %>
                <li>
                    <%= Html.ActionLink(c.CompanyName, "Details", "Customer", new {id = c.CustomerID}, null) %>
                </li>
            <%} %>
            </ul>
        </div>
    </fieldset>
    
</asp:Content>
