﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
<%@ Import Namespace="MultiArea.Views"%>


<asp:Content ID="indexTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Multi-area 
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
        <%= Html.Encode(ViewData[ViewDataEntries.Welcome])%> :: 
        <span class="highlight1"><%= Html.Encode(ViewData[ViewDataEntries.AppName])%></span>
    </h2>

    <ul>
        <li><a href="/store/customers">Search for a customer in the <b>Store</b> area</a><br /></li>
        <li><%= Html.ActionLink(
                    "Grab details about a product. Change the URL to explore other products", 
                    "Find", 
                    "Product", 
                    new { area = "store", id = 22 }, 
                    null) %>  <!-- NULL here is required to ensure we pick up the RIGHT overload -->
        </li>
        <li><%= Html.ActionLink(
                    "Check reports available for a given customer", 
                    "Stat", 
                    "Customer", 
                    new { area = "reports" }, 
                    null) %>
        </li>
    </ul>
</asp:Content>
