//////////////////////////////////////////////////
// Global container of update helpers
var UpdateHelpers = UpdateHelpers || {};


//////////////////////////////////////////////////
// Add page specific helpers

UpdateHelpers.DayPanelUpdater = function (data) {
    $("#panelDay #Header").html(data.CurrentDay.Date);
    $("#panelDay #ScheduleArea").empty();
    $("#panelDay #tmplTimeSlots")
		.tmpl(data.CurrentDay.TimeSlots)
		.appendTo("#panelDay #ScheduleArea");
};

UpdateHelpers.SessionUpdater = function (data) {
    $("#panelSession #Title").html(data.CurrentSession.Title);
    $("#panelSession #Abstract").html(data.CurrentSession.Abstract);
    $("#panelSession #Speaker").html(data.CurrentSession.Speaker);
    $("#panelSession #Id").html(data.CurrentSession.Id);
    $("#panelSession #Track").html(data.CurrentSession.Track);
    $("#panelSession #Room").html(data.CurrentSession.Room);
};

UpdateHelpers.SpeakerPanelUpdater = function (data) {
    $("##panelSpeakers #SpeakersList").empty();
    $("#panelSpeakers #tmplSpeakers")
		.tmpl(data.Speakers)
		.appendTo("#panelSpeakers #SpeakersList");
};

UpdateHelpers.SpeakerUpdater = function (data) {
    $("#panelSpeaker #Name").html(data.Speaker.Name);
    $("#panelSpeaker #Bio").html(data.Speaker.Bio);
};